# Generated by Django 3.2.21 on 2023-09-29 10:32

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('crawl_bot', '0001_initial'),
        ('profiles', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='SocialAccount',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(max_length=63, null=True, unique=True)),
                ('password', models.CharField(max_length=20)),
                ('email', models.EmailField(max_length=63, null=True, unique=True)),
                ('pass_email', models.CharField(max_length=255, null=True)),
                ('type', models.CharField(max_length=255, null=True)),
                ('status', models.IntegerField(default=1)),
                ('twofa', models.CharField(max_length=500, null=True)),
                ('is_recovery', models.BooleanField(default=False)),
                ('recovery_account_id', models.IntegerField(null=True)),
                ('note', models.TextField(null=True)),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('crawl_bot', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='crawl_bot.crawlbot')),
                ('profiles', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='profiles.profiles')),
            ],
            options={
                'db_table': 'social_account',
            },
        ),
    ]
